using UnityEngine;
namespace Script.Gameplay.Interface
{
    public interface IInteractable
    {
        string GetInteractPrompt(); // 返回提示文字，例如“按E打开门”
        void Interact(GameObject interactor); // 当玩家交互时触发
        void OnGazeEnter(GameObject editor); // 玩家开始注视时触发
        void OnGazeExit(GameObject editor); // 玩家停止注视时触发
    }
}